Skip to main content
GET
/
strategies
/
{slug}
/
shapes
Get the shapes of a strategy by share slug
curl --request GET \
  --url https://teambattles.gg/api/v1/strategies/{slug}/shapes \
  --header 'Authorization: Bearer <token>'
{
  "shapes": [
    {
      "id": "<string>",
      "shapeId": "<string>",
      "stageId": "<string>",
      "zIndex": 123,
      "data": "<unknown>",
      "updatedAt": "<string>"
    }
  ],
  "count": 4503599627370495,
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

slug
string
required

Strategy public share slug.

Response

The strategy shapes.

Strategy shapes, count, and a response timestamp.

shapes
object[]
required
count
integer
required
Required range: 0 <= x <= 9007199254740991
timestamp
string
required

ISO 8601 timestamp.